Page MenuHomePhabricator

API edit of translate page gives Unknown error: "tpt-target-page"
Closed, ResolvedPublic

Description

<?xml version=\"1.0\"?><api servedby=\"srv259\"><error code=\"unknownerror\" info=\"Unknown error: &quot;tpt-target-page&quot;\" /></api>

Possibly not a translate bug, but logging it for interest

Happening when trying to edit a translation page on wikimania 2012 wiki

Details

Reference
bz35654

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:17 AM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz35654.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Apr 2 2012, 9:54 PM

API is making it really hard to do things right. See https://www.mediawiki.org/wiki/Special:Code/MediaWiki/108822

Happens on Mediawiki Help namespace as well, and editing source is not allowed for translations.

Anomie added a subscriber: Anomie.Feb 20 2015, 3:30 PM

ApiBase::dieUsageMsg() should die. Or at least be entirely reworked.

Reedy set Security to None.
Reedy added a comment.Mar 6 2015, 6:17 PM

Just run across this again today when trying to clean up some stuff on mw.org. I handled it in AWB in http://sourceforge.net/p/autowikibrowser/code/10852/

Nikerabbit updated the task description. (Show Details)Feb 7 2017, 9:08 AM
Nikerabbit removed a subscriber: wikibugs-l-list.

My gut feeling is that the new API error reporting framework has made this better, or if not, then at least easier to fix. But would need testing from someone to confirm.

Anomie closed this task as Resolved.Feb 7 2017, 2:42 PM
Anomie claimed this task.

Yes, it seems fixed now. The error now has code "tpt-target-page" with info taken from that message. Try it in this sandbox for example.

My gut feeling is that the new API error reporting framework has made this better, or if not, then at least easier to fix. But would need testing from someone to confirm.

TTO encountered one such error recently (https://phabricator.wikimedia.org/T153209#2875803 ) but I don't remember the exact debugging.

TTO encountered one such error recently (https://phabricator.wikimedia.org/T153209#2875803 ) but I don't remember the exact debugging.

That does not appear to have anything at all to do with this task. Is there some reason you think it does?